%global version 3.5.99.27
%global release 6

# use Transport Independent RPC Library on EL >= 8
%global _has_tirpc %(rpm -q --quiet libtirpc-devel && echo "YES" || echo "NO")

Summary: NX X11 protocol compression suite
Name: nx-libs
Version: %{version}
Release: %{release}%{?dist}
License: GPL-2.0-or-later AND MIT
URL: https://github.com/ArcticaProject/nx-libs
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0: nx-libs-3.5.99.26-disable_coredumps.patch
Patch1: nx-libs-3.5.99.26-disable_x2go.patch
Patch2: nx-libs-3.5.99.26-icon.patch
# patches >= 100 should/will be fixed in SCM
# generated with `diff -Naupr --no-dereference nx-libs-3.5.99.XX nx-libs-3.6.x'
Patch100: nx-libs-3.6.x-20250122.patch.gz
Patch101: nx-libs-3.5.99.26-old_gcc.patch
Patch102: nx-libs-3.5.99.27-CVE-2023-5367.patch
BuildRequires: make, imake, gcc-c++
BuildRequires: autoconf, automake, libtool, pkgconfig
BuildRequires: expat-devel, libjpeg-devel, libpng-devel, libxml2-devel
BuildRequires: libXcomposite-devel, libXdamage-devel, libXdmcp-devel
BuildRequires: libXfixes-devel, libXinerama-devel, libXpm-devel
BuildRequires: libXrandr-devel, libXtst-devel, pixman-devel
%if "%{_has_tirpc}" == "YES"
BuildRequires: libXfont2-devel, libtirpc-devel
%else
BuildRequires: libXfont-devel
%endif
BuildRequires: xorg-x11-proto-devel, zlib-devel, sed
Requires(post,postun): /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
applications over a network, especially a slow one.

%package devel
Summary: Include files and libraries for NX development
BuildArch: noarch
Requires: libNX_X11-devel = %{version}-%{release}
Requires: nx-proto-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description devel
NX is a software suite from NoMachine which implements very efficient
compression of the X11 protocol. This increases performance when
using X applications over a network, especially a slow one.

This package contains all necessary include files and libraries
needed to develop nx-X11 applications that require these.

%package -n nx-proto-devel
Summary: Include files for NX development
BuildArch: noarch

%description -n nx-proto-devel
This package contains all necessary include files and libraries
for the nx_X11 wire protocol.

%package -n libNX_X11
Summary: Core NX protocol client library
Requires: %{name} = %{version}-%{release}
Requires(post,postun): /sbin/ldconfig

%description -n libNX_X11
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
applications over a network, especially a slow one.

The X Window System is a network-transparent window system that was
designed at MIT. X display servers run on computers with either
monochrome or color bitmap display hardware. The server distributes
user input to and accepts output requests from various client
programs located either on the same machine or elsewhere in the
network. Xlib is a C subroutine library that application programs
(clients) use to interface with the window system by means of a
stream connection.

%package -n libNX_X11-devel
Summary: Development files for the Core NX protocol library
Requires: libNX_X11 = %{version}-%{release}
Requires: nx-proto-devel = %{version}-%{release}
Requires: pkgconfig

%description -n libNX_X11-devel
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
applications over a network, especially a slow one.

The X Window System is a network-transparent window system that was
designed at MIT. X display servers run on computers with either
monochrome or color bitmap display hardware. The server distributes
user input to and accepts output requests from various client
programs located either on the same machine or elsewhere in the
network. Xlib is a C subroutine library that application programs
(clients) use to interface with the window system by means of a
stream connection.

This package contains all necessary include files and libraries
needed to develop applications that require these.

%package -n libXcomp
Summary: NX differential compression library
Requires: %{name} = %{version}-%{release}
Requires(post,postun): /sbin/ldconfig

%description -n libXcomp
NX is a software suite from NoMachine which implements very efficient
compression of the X11 protocol. This increases performance when
using X applications over a network, especially a slow one.

This package contains the NX differential compression library for X11.

%package -n libXcomp-devel
Summary: Development files for the NX differential compression library
Requires: libXcomp = %{version}-%{release}
Requires: nx-proto-devel = %{version}-%{release}
Requires: pkgconfig

%description -n libXcomp-devel
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
applications over a network, especially a slow one.

The NX differential compression library's development files.

%package -n libXcompshad
Summary: NX session shadowing Library
Requires: %{name} = %{version}-%{release}
Requires(post,postun): /sbin/ldconfig

%description -n libXcompshad
NX is a software suite from NoMachine which implements very efficient
compression of the X11 protocol. This increases performance when
using X applications over a network, especially a slow one.

This package provides the session shadowing library.

%package -n libXcompshad-devel
Summary: Development files for the NX session shadowing library
Requires: libXcompshad = %{version}-%{release}
Requires: libNX_X11-devel = %{version}-%{release}
Requires: nx-proto-devel = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: pkgconfig

%description -n libXcompshad-devel
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
applications over a network, especially a slow one.

The NX session shadowing library's development files.

%package -n nxagent
Summary: NX Agent
# creates /usr/share/X11/xkb
Requires: xkeyboard-config

%description -n nxagent
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
applications over a network, especially a slow one.

nxagent is an agent providing NX transport of X sessions. The
application is based on the well-known Xnest server. nxagent, like
Xnest, is an X server for its own clients, and at the same time, an X
client for a system's local X server.

The main scope of nxagent is to eliminate X round-trips or transform
them into asynchronous replies. nxagent works together with nxproxy.
nxproxy itself does not make any effort to minimize round-trips by
itself, this is demanded of nxagent.

Being an X server, nxagent is able to resolve all the property/atoms
related requests locally, ensuring that the most common source of
round-trips are nearly reduced to zero.

%package -n nxproxy
Summary: NX Proxy

%description -n nxproxy
This package provides the NX proxy (client) binary.

%package -n nxdialog
Summary: NX Dialog
BuildArch: noarch

%description -n nxdialog
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
pplications over a network, especially a slow one.

This package provides the nxdialog helper script.

%prep
%setup -q

# apply SCM patches first, other patches my depend on them
%patch100 -p1 -b .nx-libs-3.6.x-head
%patch101 -p1 -b .pr1037-old_gcc
%patch102 -p1 -b .CVE-2023-5367

# do all other patches
%patch0 -p1 -b .disable_coredumps
%patch1 -p1 -b .disable_x2go
%patch2 -p1 -b .icon

# fix paths
%{__sed} -i -e "s|\/usr\/local|%{_prefix}|g" nx-X11/config/cf/site.def
# fix python path
%{__sed} -i -e "s|^#\!\ *\/usr\/bin\/env\ python|#\!/usr/libexec/platform-python -s|g" nxdialog/bin/nxdialog

# fix permissions
find . -type f -name "*.[hc]" -exec %{__chmod} -x {} \;

%build
# generate parameters README
{
  echo "Allowed link speed names are:"
  echo "  (note, identifiers are not case sensitive)"
  %{__grep} -e "linkSpeedName," nxcomp/src/Loop.cpp | %{__grep} -e "strcpy" | %{__grep} -e "\"" | cut -d "," -f 2 | cut -d "\"" -f 2 | tr "[:lower:]" "[:upper:]" | uniq
  echo
  echo "Allowed pack methods are:"
  echo "  (note, the full method is [pack method]-[quality], where quality is [0-9])"
  %{__grep} -e "packMethodName," nxcomp/src/Loop.cpp | %{__grep} -e "strcpy" | %{__grep} -e "\"" | cut -d "," -f 2 | cut -d "\"" -f 2 | tr "[:upper:]" "[:lower:]" | uniq
} > README.parameters

# main build
%{__cat} << "EOF" > local_configure
%configure --disable-silent-rules "$@"
EOF
%{__chmod} +x local_configure

%{__make} \
  CONFIGURE=${PWD}/local_configure \
  LIBDIR=%{_libdir} \
  CDEBUGFLAGS="%{optflags}" \
  LOCAL_LDFLAGS="%{__global_ldflags}" \
  SHLIBGLOBALSFLAGS="%{__global_ldflags}" \
  IMAKE_DEFINES="-DUseTIRPC=%{_has_tirpc}" \
  VERBOSE=1 \
%{nil}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install \
  DESTDIR=%{buildroot} \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir} \
  SHLIBDIR=%{_libdir} \
  INSTALL_DIR="%{__install} -d -m 0755" \
  INSTALL_FILE="%{__install} -p -m 0644" \
  INSTALL_PROGRAM="%{__install} -p -m 0755" \
%{nil}

%{__install} -d -m 0755 %{buildroot}%{_datadir}/X11/fonts
%{__ln_s} ../X11/fonts %{buildroot}%{_datadir}/nx/fonts

# fix permissions
find %{buildroot} -type f -name "*.so.*" -exec %{__chmod} 0755 {} \;

# remove installed but not packaged files
%{__rm} -fr %{buildroot}%{_libdir}/nx/bin
%{__rm} -fr %{buildroot}%{_includedir}/GL
%{__rm} -fr %{buildroot}%{_includedir}/nx-X11/Xtrans
%{__rm} -f %{buildroot}%{_includedir}/nx-X11/extensions/XK*.h
%{__rm} -f %{buildroot}%{_includedir}/nx-X11/extensions/*Xv*.h
%{__rm} -f %{buildroot}%{_libdir}/*.a
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%post -n libNX_X11 -p /sbin/ldconfig

%post -n libXcomp -p /sbin/ldconfig

%post -n libXcompshad -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun -n libNX_X11 -p /sbin/ldconfig

%postun -n libXcomp -p /sbin/ldconfig

%postun -n libXcompshad -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE LICENSE.nxcomp
%doc README.md SECURITY.md VERSION
%dir %{_datadir}/nx
%dir %{_datadir}/nx/X11
%{_datadir}/nx/SecurityPolicy
%{_datadir}/nx/X11/XErrorDB
%{_datadir}/nx/X11/Xcms.txt

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/nx-X11/extensions
%{_includedir}/nx-X11/extensions/panoramiXext.h
%{_includedir}/nx-X11/misc.h
%{_includedir}/nx-X11/os.h

%files -n nx-proto-devel
%defattr(-,root,root,-)
%dir %{_includedir}/nx-X11
%{_includedir}/nx-X11/DECkeysym.h
%{_includedir}/nx-X11/HPkeysym.h
%{_includedir}/nx-X11/Sunkeysym.h
%{_includedir}/nx-X11/X.h
%{_includedir}/nx-X11/XF86keysym.h
%{_includedir}/nx-X11/Xarch.h
%{_includedir}/nx-X11/Xatom.h
%{_includedir}/nx-X11/Xdefs.h
%{_includedir}/nx-X11/Xfuncproto.h
%{_includedir}/nx-X11/Xfuncs.h
%{_includedir}/nx-X11/Xmd.h
%{_includedir}/nx-X11/Xos.h
%{_includedir}/nx-X11/Xos_r.h
%{_includedir}/nx-X11/Xosdefs.h
%{_includedir}/nx-X11/Xpoll.h
%{_includedir}/nx-X11/Xproto.h
%{_includedir}/nx-X11/Xprotostr.h
%{_includedir}/nx-X11/Xthreads.h
%{_includedir}/nx-X11/keysym.h
%{_includedir}/nx-X11/keysymdef.h
%{_includedir}/nx-X11/extensions/Xdbeproto.h
%{_includedir}/nx-X11/extensions/XI.h
%{_includedir}/nx-X11/extensions/XIproto.h
%{_includedir}/nx-X11/extensions/XResproto.h
%{_includedir}/nx-X11/extensions/bigreqstr.h
%{_includedir}/nx-X11/extensions/composite.h
%{_includedir}/nx-X11/extensions/compositeproto.h
%{_includedir}/nx-X11/extensions/damagewire.h
%{_includedir}/nx-X11/extensions/damageproto.h
%{_includedir}/nx-X11/extensions/dpms.h
%{_includedir}/nx-X11/extensions/dpmsstr.h
%{_includedir}/nx-X11/extensions/panoramiXproto.h
%{_includedir}/nx-X11/extensions/randr.h
%{_includedir}/nx-X11/extensions/randrproto.h
%{_includedir}/nx-X11/extensions/record*.h
%{_includedir}/nx-X11/extensions/render.h
%{_includedir}/nx-X11/extensions/renderproto.h
%{_includedir}/nx-X11/extensions/saver.h
%{_includedir}/nx-X11/extensions/saverproto.h
%{_includedir}/nx-X11/extensions/security.h
%{_includedir}/nx-X11/extensions/securstr.h
%{_includedir}/nx-X11/extensions/shapeconst.h
%{_includedir}/nx-X11/extensions/sync.h
%{_includedir}/nx-X11/extensions/syncstr.h
%{_includedir}/nx-X11/extensions/xcmiscstr.h
%{_includedir}/nx-X11/extensions/xf86bigfont.h
%{_includedir}/nx-X11/extensions/xf86bigfproto.h
%{_includedir}/nx-X11/extensions/xfixesproto.h
%{_includedir}/nx-X11/extensions/xfixeswire.h
%{_includedir}/nx-X11/extensions/xtestconst.h
%{_includedir}/nx-X11/extensions/xteststr.h

%files -n libNX_X11
%defattr(-,root,root,-)
%{_libdir}/libNX_X11.so.6*

%files -n libNX_X11-devel
%defattr(-,root,root,-)
%{_libdir}/libNX_X11.so
%{_libdir}/pkgconfig/nx-x11.pc
%dir %{_includedir}/nx-X11
%{_includedir}/nx-X11/ImUtil.h
%{_includedir}/nx-X11/Xauth.h
%{_includedir}/nx-X11/XKBlib.h
%{_includedir}/nx-X11/Xcms.h
%{_includedir}/nx-X11/Xlib.h
%{_includedir}/nx-X11/XlibConf.h
%{_includedir}/nx-X11/Xlibint.h
%{_includedir}/nx-X11/Xlocale.h
%{_includedir}/nx-X11/Xregion.h
%{_includedir}/nx-X11/Xresource.h
%{_includedir}/nx-X11/Xutil.h
%{_includedir}/nx-X11/cursorfont.h

%files -n libXcomp
%defattr(-,root,root,-)
%doc ChangeLog COPYING LICENSE LICENSE.nxcomp
%doc doc/nxcomp/README.on-retroactive-DXPC-license
%doc doc/nxcomp/nxcomp-3.6-drops-compat-code-3.4.x-testing.pdf
%{_libdir}/libXcomp.so.3*

%files -n libXcomp-devel
%defattr(-,root,root,-)
%{_libdir}/libXcomp.so
%{_libdir}/pkgconfig/nxcomp.pc
%dir %{_includedir}/nx
%{_includedir}/nx/MD5.h
%{_includedir}/nx/NX.h
%{_includedir}/nx/NXalert.h
%{_includedir}/nx/NXpack.h
%{_includedir}/nx/NXproto.h
%{_includedir}/nx/NXvars.h

%files -n libXcompshad
%defattr(-,root,root,-)
%doc ChangeLog COPYING LICENSE LICENSE.nxcomp
%{_libdir}/libXcompshad.so.3*

%files -n libXcompshad-devel
%defattr(-,root,root,-)
%{_libdir}/libXcompshad.so
%{_libdir}/pkgconfig/nxcompshad.pc
%dir %{_includedir}/nx
%{_includedir}/nx/Shadow.h

%files -n nxagent
%defattr(-,root,root,-)
%doc doc/nxagent/README.keystrokes README.parameters
%dir %{_sysconfdir}/nxagent
%config(noreplace) %{_sysconfdir}/nxagent/keystrokes.cfg
%{_bindir}/nxagent
%dir %{_libdir}/nx
%dir %{_libdir}/nx/X11
%{_libdir}/nx/X11/libX11.so.6*
%dir %{_datadir}/X11/fonts
%dir %{_datadir}/nx
%{_datadir}/nx/fonts
%{_datadir}/nx/VERSION.nxagent
%{_mandir}/man1/nxagent.1*

%files -n nxproxy
%defattr(-,root,root,-)
%doc doc/nxproxy/README-VALGRIND
%{_bindir}/nxproxy
%dir %{_datadir}/nx
%{_datadir}/nx/VERSION.nxproxy
%{_mandir}/man1/nxproxy.1*

%files -n nxdialog
%defattr(-,root,root,-)
%doc nxdialog/README.md
%{_bindir}/nxdialog
%{_mandir}/man1/nxdialog.1*

%changelog
* Wed Jan 22 2025 Simon Matter <simon.matter@invoca.ch> 3.5.99.27-6
- add patch nx-libs-3.6.x-20250122 to update to HEAD

* Fri Jul 26 2024 Simon Matter <simon.matter@invoca.ch> 3.5.99.27-5
- add patch nx-libs-3.6.x-20240710 to update to HEAD
- cosmetic spec file changes

* Wed Jul 10 2024 Simon Matter <simon.matter@invoca.ch> 3.5.99.27-4
- add patch nx-libs-3.6.x-20240710 to update to HEAD

* Tue Jan 23 2024 Simon Matter <simon.matter@invoca.ch> 3.5.99.27-3
- add PR #1068

* Fri Nov 17 2023 Simon Matter <simon.matter@invoca.ch> 3.5.99.27-2
- add patch to fix CVE-2023-5367

* Thu Jun 29 2023 Simon Matter <simon.matter@invoca.ch> 3.5.99.27-1
- update to 3.5.99.27

* Tue Jun 13 2023 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-99.0
- update to latest 3.5.99.26 snapshot

* Mon Jul 04 2022 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-16
- remove requirement for xorg-x11-font-utils in nxagent
- provide directory /usr/share/X11/fonts in nxagent

* Mon Jan 31 2022 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-15
- add PR #1037

* Thu Jan 13 2022 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-14
- add PR #1033
- remove patch for #1030

* Fri Jan 07 2022 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-13
- change EOF to "EOF"

* Thu Jan 06 2022 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-12
- add support for EL9

* Wed Jan 05 2022 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-11
- add patch for #1030

* Fri Dec 24 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-10
- add PR #1028
- add PR #1029

* Tue Nov 02 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-9
- add PR #1024
- add PR #1025

* Tue Oct 19 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-8
- add PR #1018

* Tue Aug 31 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-7
- add CVE-2021-31535 patch

* Thu Jul 08 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-6
- add HEAD patch

* Wed Jun 16 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-5
- update icon patch

* Mon Jun 14 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-4
- add icon patch

* Thu Mar 18 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-3
- add PR #1010
- add PR #1011

* Mon Mar 08 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-2
- add PR #1007
- add patch to disable x2go support
- remove private quilt

* Thu Feb 04 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.26-1
- update to 3.5.99.26

* Sat Jan 23 2021 Simon Matter <simon.matter@invoca.ch> 3.5.99.25-1
- upgrade to current version, rebase partly on Fedora package

* Tue Apr 14 2020 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.12
- add support for EL8

* Mon Jan 06 2020 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.11
- reduce icon colors from 242 to 8

* Tue Apr 16 2019 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.10
- update private libpng to 1.6.37
- change to generic X logo

* Mon Dec 03 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.9
- update private libpng to 1.6.36

* Tue Jul 17 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.8
- update private libpng to 1.6.35

* Thu Jun 14 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.7
- add value_for_XkbAllAccessXEventsMask patch

* Thu Mar 01 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.6
- add patch so set default DPI to 96

* Tue Feb 27 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.5
- backport autodpi patch changes from upstream
- update man pages

* Fri Feb 23 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.4
- fix and merge magicpixel and autodpi patch

* Fri Feb 23 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.3
- add magicpixel patch
- add autodpi patch

* Fri Jan 26 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.2
- add nxagent_version patch

* Tue Jan 23 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.1
- add/backport more patches (18-22)

* Tue Jan 16 2018 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-5.0
- add patch 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c
- add patch 1400_nx-X11_Render.c-Improve-situation-fo

* Fri Dec 22 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.11
- add libpng to list in nxfind-excludes.sh
- add two patches to add undefined symbol: _XGetRequest

* Fri Dec 15 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.10
- update private libjpeg-turbo to 1.5.3
- update private libpng to 1.6.34
- update private nasm to 2.13.02

* Sat Jul 08 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.9
- update private libjpeg-turbo to 1.5.2

* Thu Jun 29 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.8
- update private libpng to 1.6.30
- update private nasm to 2.13.01

* Mon May 01 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.7
- update private nasm to 2.13

* Mon Mar 20 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.6
- update private libpng to 1.6.29

* Tue Feb 28 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.5
- add updated man pages

* Mon Jan 16 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.4
- update private libz to 1.2.11

* Mon Jan 09 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.3
- update private libpng to 1.6.28

* Tue Jan 03 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.2
- update private libz to 1.2.10

* Mon Jan 02 2017 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4.1
- update private libz to 1.2.9

* Fri Dec 30 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-4
- update private libpng to 1.6.27

* Thu Dec 22 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-3
- modify keyboard sample config
- update copyright patch

* Wed Dec 21 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-2
- update private libpng to 1.6.26
- add set-X0-config-path patch from x2go 3.5.0.32
- add keyboard sample config
- add man patches from x2go 3.5.0.32

* Wed Sep 21 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0.32-1
- update private libjpeg-turbo to 1.5.1
- update private libpng to 1.6.25

* Wed Aug 10 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0-56
- update private libpng to 1.6.24
- update private nasm to 2.12.02

* Wed Jun 08 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0-55
- update private libjpeg-turbo to 1.5.0
- update private libpng to 1.6.23rc02
- update private nasm to 2.12.02rc7

* Wed Jun 01 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0-54
- downgrade private libjpeg-turbo to 1.4.2
- downgrade private nasm to 2.12.01
- update private libpng to 1.6.22

* Mon May 23 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0-53
- update private libjpeg-turbo to 1.4.90
- update private libpng to 1.6.22rc03
- update private nasm to 2.12.02rc4
- add libXinerama to package

* Mon Feb 29 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0-52
- update private nasm to 2.12

* Mon Jan 18 2016 Simon Matter <simon.matter@invoca.ch> 3.5.0-51
- update private libpng to 1.6.21

* Fri Dec 04 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-50
- update private libpng to 1.6.20

* Fri Nov 13 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-49
- update private libpng to 1.6.19

* Wed Sep 23 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-48
- update private libjpeg-turbo to 1.4.2

* Fri Jul 24 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-47
- update private libpng to 1.6.18

* Tue Jul 21 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-46
- add patches from x2go 3.5.0.32

* Tue Jun 09 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-45
- update private libjpeg-turbo to 1.4.1

* Fri Mar 27 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-44
- update private libpng to 1.6.17

* Mon Mar 16 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-43
- add more patches from X2Go
- update private nasm to 2.11.08

* Wed Jan 07 2015 Simon Matter <simon.matter@invoca.ch> 3.5.0-42
- update private libjpeg-turbo to 1.4.0

* Mon Dec 22 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-41
- update private libpng to 1.6.16

* Fri Nov 21 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-40
- update private libpng to 1.6.15

* Fri Nov 14 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-39
- update 027_nxcomp_abstract-X11-socket patch from x2go
- add 207_nxagent_fix-xfixes-selection patch from x2go

* Thu Oct 23 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-38
- update private libpng to 1.6.14

* Tue Oct 21 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-37
- update private libjpeg-turbo to 1.3.90
- update private nasm to 2.11.06

* Sat Aug 23 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-36
- update private libpng to 1.6.13

* Tue Jul 01 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-35
- add 027_nxcomp_abstract-X11-socket patch from x2go
- add 028_nx-X11_abstract-kernel-sockets patch from x2go

* Thu Jun 12 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-34
- update private libpng to 1.6.12

* Fri Jun 06 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-33
- update private nasm to 2.11.05
- update private libpng to 1.6.11

* Fri May 09 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-32
- update private nasm to 2.11.03
- add 205_nxagent_refresh-adsl patch from x2go

* Mon Mar 24 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-31
- update private libjpeg-turbo to 1.3.1

* Fri Mar 07 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-30
- update private libpng to 1.6.10
- update private nasm to 2.11.02

* Fri Feb 07 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-29
- update private libpng to 1.6.9

* Thu Jan 09 2014 Simon Matter <simon.matter@invoca.ch> 3.5.0-28
- update private nasm to 2.11
- add 603_nx-X11_compilation_warnings patch from x2go

* Fri Dec 20 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-27
- add patch to fix CVE-2013-6424

* Fri Dec 20 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-26
- update private libpng to 1.6.8

* Tue Dec 10 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-25
- add patch to fix CVE-2013-6629
- add patch to fix CVE-2013-6630

* Sat Nov 16 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-24
- update private libpng to 1.6.7

* Wed Oct 16 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-23
- add getimage-sanity
- add midc-double-free

* Thu Oct 10 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-22
- add patch to fix CVE-2013-4396

* Tue Oct 01 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-21
- update private libpng to 1.6.6

* Mon Sep 16 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-20
- update private libpng to 1.6.5
- add 602_nx-X11_initgroups patch from x2go

* Fri Sep 13 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-19
- update private libpng to 1.6.4

* Tue Jul 23 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-18
- update private nasm to 2.10.09
- reflect recent changes in README.RPM

* Mon Jul 22 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-17
- update private nasm to 2.10.08
- update private libpng to 1.6.3

* Thu Jun 06 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-16
- add add_copyright patch

* Wed Jun 05 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-15
- change to more FHS compliant layout
- add patch to fix builtin paths

* Tue Jun 04 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-14
- build with private libpng
- don't depend on any installed zlib-devel, libjpeg-devel or libpng-devel
- modify dpi patch

* Mon Jun 03 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-13
- add libXcursor to our private libs
- add nxcomp-3.5.0-2-disable_coredumps patch
- add nxcomp-zz_kiosk-hack patch from opennx
- add 008_nxcomp_sa_restorer patch from x2go
- add 110_nxagent_createpixmap-bounds-check patch from x2go
- add 204_nxagent_repaint-solidpict patch from x2go

* Mon May 27 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-12
- update private libjpeg-turbo to 1.3.0

* Fri May 24 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-11
- update private libz to 1.2.8

* Wed Feb 06 2013 Simon Matter <simon.matter@invoca.ch> 3.5.0-10
- update private nasm to 2.10.07
- update private libjpeg-turbo to 1.2.90

* Thu Oct 04 2012 Simon Matter <simon.matter@invoca.ch> 3.5.0-9
- add graphics-prgn patch

* Thu Oct 04 2012 Simon Matter <simon.matter@invoca.ch> 3.5.0-8
- add cve-2011-4028 patch
- update private nasm to 2.10.05

* Mon Jul 23 2012 Simon Matter <simon.matter@invoca.ch> 3.5.0-7
- update private nasm to 2.10.03

* Mon Jul 02 2012 Simon Matter <simon.matter@invoca.ch> 3.5.0-6
- update private libjpeg-turbo to 1.2.1
- update private nasm to 2.10.01

* Tue May 22 2012 Simon Matter <simon.matter@invoca.ch> 3.5.0-5
- update to nxagent-3.5.0-9
- update private libz to 1.2.7
- update private nasm to 2.10

* Wed Feb 15 2012 Simon Matter <simon.matter@invoca.ch> 3.5.0-4
- update to nx-X11-3.5.0-2
- update to nxagent-3.5.0-7
- update private libz to 1.2.6
- update private libjpeg-turbo to 1.2.0

* Fri Aug 12 2011 Simon Matter <simon.matter@invoca.ch> 3.5.0-3
- add cve-2011-2895 patch
- update private nasm to 2.09.10

* Wed Jun 22 2011 Simon Matter <simon.matter@invoca.ch> 3.5.0-2
- update to nxcomp-3.5.0-2

* Wed May 18 2011 Simon Matter <simon.matter@invoca.ch> 3.5.0-1
- upgrade to 3.5.0
- update private libjpeg-turbo to 1.1.1

* Sat Apr 16 2011 Simon Matter <simon.matter@invoca.ch> 3.4.0-24
- update private nasm to 2.09.08

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 3.4.0-23
- mass rebuild

* Mon Feb 28 2011 Simon Matter <simon.matter@invoca.ch> 3.4.0-22
- update private nasm to 2.09.05
- remove nxesd
- update private libjpeg-turbo to 1.1.0
- add dist tag

* Thu Feb 10 2011 Simon Matter <simon.matter@invoca.ch> 3.4.0-21
- update to nxagent-3.4.0-16
- update private libjpeg-turbo to 1.0.90

* Wed Dec 22 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-20
- downgrade to nxagent-3.4.0-5 again
- update private nasm to 2.09.04

* Wed Sep 29 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-19
- add dbe-validate-gc patch to Validate DBE GCs against both buffers

* Mon Sep 20 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-18
- update private nasm to 2.09.02

* Sat Sep 11 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-17
- update private libjpeg-turbo to 1.0.1

* Wed Sep 08 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-16
- update private nasm to 2.09.01

* Tue Sep 07 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-15
- add patch to fix startup of nxagent-3.4.0-11 in fullscreen mode

* Tue Sep 07 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-14
- add private nasm with current version to allow build on x86_64

* Tue Sep 07 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-13
- add private libjpeg-turbo to improve jpeg compression speed

* Thu Aug 26 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-12
- update to nxagent-3.4.0-11

* Tue Aug 03 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-11
- update to nx-X11-3.4.0-4
- downgrade to nxagent-3.4.0-5

* Mon Jun 21 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-10
- update to nxagent-3.4.0-9

* Mon Jun 21 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-9
- add grab_pointer_and_keyboard patch

* Tue Jun 15 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-8
- add minimize_from_fullscreen patch

* Mon Jun 14 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-7
- update to nxagent-3.4.0-8

* Tue May 04 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-6
- require audiofile-devel for build instead of audiofile
- rebase patches to build with patch fuzz 0 for EL6 compatibility
- update private libz to 1.2.5

* Thu Apr 01 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-5
- update to nxauth-3.4.0-3
- update to nxcomp-3.4.0-7
- update private libz to 1.2.4
- build with -fPIC not just for x86_64

* Tue Mar 09 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-4
- update to nxauth-3.4.0-2
- update to nxcomp-3.4.0-6
- update to nxesd-3.4.0-2

* Fri Feb 12 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-3
- add patch to fix keyboard issues with nxagent-3.4.0-5

* Thu Feb 11 2010 Simon Matter <simon.matter@invoca.ch> 3.4.0-2
- update to nxagent-3.4.0-5
- update to nxcompshad-3.4.0-3
- update to nx-X11-3.4.0-3

* Mon Oct 05 2009 Simon Matter <simon.matter@invoca.ch> 3.4.0-1
- upgrade to 3.4.0

* Tue Sep 01 2009 Simon Matter <simon.matter@invoca.ch> 3.3.0-6
- update to nxagent-3.3.0-18
- update to nx-X11-3.3.0-7

* Thu Mar 26 2009 Simon Matter <simon.matter@invoca.ch> 3.3.0-5
- update to nxagent-3.3.0-13
- update to nx-X11-3.3.0-6
- update to nxcompext-3.3.0-4
- update to nxcomp-3.3.0-4

* Fri Jan 23 2009 Simon Matter <simon.matter@invoca.ch> 3.3.0-4
- update to nxagent-3.3.0-10
- update to nxcompshad-3.3.0-3
- update to nx-X11-3.3.0-5

* Thu Jan 15 2009 Simon Matter <simon.matter@invoca.ch> 3.3.0-3
- update to nxagent-3.3.0-9
- update to nxcompext-3.3.0-3
- update to nx-X11-3.3.0-4

* Wed Dec 17 2008 Simon Matter <simon.matter@invoca.ch> 3.3.0-2
- include nxesd

* Fri Nov 21 2008 Simon Matter <simon.matter@invoca.ch> 3.3.0-1
- upgrade to 3.3.0

* Tue Aug 26 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-8
- update to nxagent-3.2.0-10

* Thu Jul 17 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-7
- add blue_logo patch

* Mon Jul 07 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-6
- update to nxagent-3.2.0-8

* Wed Jun 25 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-5
- update to nxagent-3.2.0-7
- update to nx-X11-3.2.0-2

* Sat Jun 14 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-4
- update to nxagent-3.2.0-6

* Tue May 27 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-3
- update to nxagent-3.2.0-5
- update to nxcomp-3.2.0-7
- update to nxcompshad-3.2.0-3

* Thu Apr 10 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-2
- add libXfixes to our private libs

* Wed Apr 09 2008 Simon Matter <simon.matter@invoca.ch> 3.2.0-1
- update to 3.2.0

* Mon Feb 11 2008 Simon Matter <simon.matter@invoca.ch> 3.1.0-5
- update to nx-X11-3.1.0-4
- update to nxagent-3.1.0-7

* Wed Feb 06 2008 Simon Matter <simon.matter@invoca.ch> 3.1.0-4
- update to nxcomp-3.1.0-6

* Wed Jan 23 2008 Simon Matter <simon.matter@invoca.ch> 3.1.0-3
- update to nx-X11-3.1.0-3
- update to nxagent-3.1.0-6

* Mon Jan 14 2008 Simon Matter <simon.matter@invoca.ch> 3.1.0-2
- fix SecurityPolicy patch for x86_64

* Fri Dec 14 2007 Simon Matter <simon.matter@invoca.ch> 3.1.0-1
- update to 3.1.0

* Fri Nov 23 2007 Simon Matter <simon.matter@invoca.ch> 3.0.0-7
- update to nxagent-3.0.0-93

* Mon Oct 15 2007 Simon Matter <simon.matter@invoca.ch> 3.0.0-6
- update to nxagent-3.0.0-88

* Fri Oct 05 2007 Simon Matter <simon.matter@invoca.ch> 3.0.0-5
- update to nxcomp-3.0.0-48

* Wed Sep 12 2007 Simon Matter <simon.matter@invoca.ch> 3.0.0-4
- update to nx-X11-3.0.0-37
- update to nxagent-3.0.0-85
- make libdir versioned

* Wed Sep 05 2007 Simon Matter <simon.matter@invoca.ch> 3.0.0-3
- update to nx-X11-3.0.0-36

* Fri Jun 29 2007 Simon Matter <simon.matter@invoca.ch> 3.0.0-2
- update to nxagent-3.0.0-77

* Sun Jun 24 2007 Simon Matter <simon.matter@invoca.ch> 3.0.0-1
- update to 3.0.0

* Fri Mar 23 2007 Simon Matter <simon.matter@invoca.ch> 2.1.0-10
- update to nxdesktop-2.1.0-10
- update to nxagent-2.1.0-20

* Sat Mar 10 2007 Simon Matter <simon.matter@invoca.ch> 2.1.0-9
- downgrade to nxdesktop-2.1.0-9
- update to nxcomp-2.1.0-8

* Mon Feb 05 2007 Simon Matter <simon.matter@invoca.ch> 2.1.0-8
- update to nxdesktop-2.1.0-10

* Fri Feb 02 2007 Simon Matter <simon.matter@invoca.ch> 2.1.0-7
- update to nx-X11-2.1.0-3
- update to nxagent-2.1.0-18
- update to nxauth-2.1.0-2
- update to nxcompext-2.1.0-5
- update to nxdesktop-2.1.0-9
- update to nxviewer-2.1.0-12
- update to nxcomp-2.1.0-7
- update to nxproxy-2.1.0-3

* Tue Jan 02 2007 Simon Matter <simon.matter@invoca.ch> 2.1.0-6
- update to nxagent-2.1.0-17
- update to nxcompext-2.1.0-4
- update to nxviewer-2.1.0-11
- update private libz-nx to 1.2.3

* Tue Dec 19 2006 Simon Matter <simon.matter@invoca.ch> 2.1.0-4
- update to nxcomp-2.1.0-6
- fix building on xorg based distributions

* Fri Nov 24 2006 Simon Matter <simon.matter@invoca.ch> 2.1.0-3
- update to nxagent-2.1.0-13
- update to nxviewer-2.1.0-8
- update to nxdesktop-2.1.0-8

* Fri Nov 03 2006 Simon Matter <simon.matter@invoca.ch> 2.1.0-2
- update to nxcomp-2.1.0-5

* Fri Sep 29 2006 Simon Matter <simon.matter@invoca.ch> 2.1.0-1
- update to 2.1.0

* Fri Aug 18 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-6
- update to nxviewer-2.0.0-15
- update to nxagent-2.0.0-93

* Fri Jul 21 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-5
- update to nxauth-2.0.0-3

* Fri Jul 14 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-4
- update to nxagent-2.0.0-89

* Sat Jul 01 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-3
- update to nxcomp-2.0.0-81

* Fri Jun 30 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-2
- remove unneeded font patch

* Tue Jun 27 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-1
- add more patches

* Sat Jun 24 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-0.2
- update to nxcomp-2.0.0-80

* Thu Jun 22 2006 Simon Matter <simon.matter@invoca.ch> 2.0.0-0.1
- update to 2.0.0
- add private libz-nx because libz may be too old

* Thu Dec 15 2005 Simon Matter <simon.matter@invoca.ch> 1.5.0-6
- add additional nxdesktop files
- update to nxagent-1.5.0-112
- update to nxcompext-1.5.0-20
- update to nxdesktop-1.5.0-78
- update to nxviewer-1.5.0-15
- remove maintenance release number from version

* Mon Dec 12 2005 Simon Matter <simon.matter@invoca.ch> 1.5.0.4-1
- update to maintenance release number 4, including updates below
- update to nx-X11-1.5.0-21
- update to nxcomp-1.5.0-80

* Mon Dec 05 2005 Simon Matter <simon.matter@invoca.ch> 1.5.0.3-2
- update to nxcompext-1.5.0-18

* Thu Dec 01 2005 Simon Matter <simon.matter@invoca.ch> 1.5.0.3-1
- update to nx-X11-1.5.0-18
- update to nxcomp-1.5.0-78
- add patch to add missing file in nx-X11-1.5.0-18
- change dependency for /usr/X11R6/bin/X because it won't work on
  distributions with the new modular X11R7, more changes will
  be needed for updated libs path
- add maintenance release number to version

* Fri Oct 07 2005 Simon Matter <simon.matter@invoca.ch> 1.5.0-3
- update to nxagent-1.5.0-93
- update to nxdesktop-1.5.0-75
- fix creation of some symlinks to libs for release 1.5.0
- add README explaining keystrokes

* Thu Aug 18 2005 Simon Matter <simon.matter@invoca.ch> 1.5.0-2
- update to nxagent-1.5.0-90
- update to nxdesktop-1.5.0-61

* Mon Aug 15 2005 Simon Matter <simon.matter@invoca.ch>
- updated to latest bugfix release
- integrated all subpackages into a single main package

* Thu Jul 28 2005 Simon Matter <simon.matter@invoca.ch>
- updated to 1.5.0
- cleaned up the spec file

* Fri Mar 11 2005 Simon Matter <simon.matter@invoca.ch>
- add dependency to libxcomp for nxproxy

* Mon Mar 07 2005 Simon Matter <simon.matter@invoca.ch>
- modified for RedHat/Fedora

* Fri Feb 11 2005 Couriousous <couriousous@mandrake.org> 1.4.0-3mdk
- Update nx-X11 (fix security bug)
- Various others updates
- Remove patch 4 & 5, fixed upstream

* Sun Jan 30 2005 Couriousous <couriousous@mandrake.org> 1.4.0-2mdk
- Update current 1.4 release
- Some spec fix
- Sync with debian patch
- x86_64 fix

* Fri Nov 12 2004 Couriousous <couriousous@zarb.org> 1.4.0-1mdk
- First Mandrakelinux release
- Take some fix from debian package
- Take doc from suse package
- Patch from Fabian Franz for gcc 3.4
